valorant-api-types
Version:
A collection of documented endpoints and return types for the unofficial Valorant API
32 lines (31 loc) • 1.04 kB
TypeScript
import { z } from 'zod';
export declare const pregamePlayerEndpoint: {
readonly name: "Pre-Game Player";
readonly description: "Get the pre-game match ID for the provided player";
readonly queryName: "Pregame_GetPlayer";
readonly category: "Pre-Game Endpoints";
readonly type: "glz";
readonly suffix: "pregame/v1/players/{puuid}";
readonly riotRequirements: {
readonly token: true;
readonly entitlement: true;
readonly clientPlatform: true;
readonly clientVersion: true;
};
readonly responses: {
readonly '200': z.ZodObject<{
Subject: z.ZodString;
MatchID: z.ZodString;
Version: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
Subject: string;
Version: number;
MatchID: string;
}, {
Subject: string;
Version: number;
MatchID: string;
}>;
};
};
export type PregamePlayerResponse = z.input<typeof pregamePlayerEndpoint.responses['200']>;